Page MenuHomePhabricator

Create a pre-hackathon checklist for organizers
Closed, ResolvedPublic

Description

While organizing the Wikimedia Hackathon 2017 with @Claudia.Garad I am going to create a checklist and (flexible) timeline for hackathon organizers.

Ideally using this timeline future hackathon organizers won't miss anything big, and will be able to stay on a reasonable schedule.
There may have to be have multiple timelines for organizers who have 1 year, vrs 6 months, vrs 3 months to prepare. This will ultimately end up on the top of: https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers

Event Timeline

Rfarrand created this task.Apr 7 2016, 10:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 10:38 PM
Rfarrand triaged this task as Normal priority.Apr 7 2016, 10:38 PM
Rfarrand added a project: Developer-Advocacy.
Rfarrand raised the priority of this task from Normal to High.Apr 14 2016, 6:57 PM

Ellie has shared her Wikimania checklist as a resource

Part of this task will also be cleaning up the tips for organizers page and making it more readable.

Here is a first draft of a checklist:
https://www.mediawiki.org/wiki/Hackathons/Pre-hackathon_Checklist_for_Organizers

Does anyone see anything major on the logistics side that is missing?
Is there a better way to format this?
Any timelines that don't make sense

Also if anyone has an editing tip for me: I am trying to link parts of the checklist to specific sections in this: https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers however every time I try to add a link VE just autocorrects it to the page instead of a section of a page.

For example trying to link: https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers#Hacking_Table_Labels
Link actually directs to:
https://www.mediawiki.org/wiki/Hackathons

Qgil added a comment.EditedMay 11 2016, 10:00 AM

Thanks! I think it would be better to have the cheklist as https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers as well, everything in a single page (I mentioned this in the discussion page before seeing this task, sorry).

VE dropping section links, it is a bug, not your fault. As of now I think the only way is to edit those links directly on wikitext.

OK, thanks, will go back and edit them with wikitext sometime today.
Response to other comment is here: https://www.mediawiki.org/wiki/Talk:Hackathons/Hackathon_tips_for_organizers

Happy to continue the discussion here or there - let me know where! :)

Cleaning up, I found https://www.mediawiki.org/wiki/Volunteer_coordination_and_outreach/Event_planning in some dark corner. I guess that page does not have unique items and could have a #REDIRECT to https://www.mediawiki.org/wiki/Talk:Hackathons/Hackathon_tips_for_organizers ?

What is missing to resolve this task?

I want to create a very simple one for Wikimania as well.
The few things we need in order to be successful.

You have motivated me and I will try to do this within the next two days.

OK, I added the Wikimania one as well:
https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers

This will hopefully be helpful for Wikimania organizers to have a good idea of the basics that we need in order to run the hackathon.

Rfarrand closed this task as Resolved.Jul 13 2016, 2:26 PM

I am closing this task - but I would greatly appreciate any feedback on anything that is missing on either checklist. Or anything that does not make sense.